Page MenuHomePhabricator

tests: Remove compatibility code not needed now when we're on Python 3
ClosedPublic

Authored by Fabien on Jul 5 2019, 09:43.

Details

Summary
Remove compatibility code not needed now when we're on Python 3.

Backport of core PR12993
https://github.com/bitcoin/bitcoin/pull/12993/files

Depends on D3556

Test Plan
./test/functional/test_runner.py
../share/rpcauth/rpcauth.py foo

Diff Detail

Repository
rABC Bitcoin ABC
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Fabien created this revision.Jul 5 2019, 09:43
Herald added a reviewer: Restricted Project. · View Herald TranscriptJul 5 2019, 09:43
deadalnix requested changes to this revision.Jul 5 2019, 13:49

This patch depend on itself...

This revision now requires changes to proceed.Jul 5 2019, 13:49
Fabien edited the summary of this revision. (Show Details)Jul 5 2019, 14:06
Fabien requested review of this revision.Jul 5 2019, 14:08

Oups !

deadalnix accepted this revision.Jul 5 2019, 14:20
This revision is now accepted and ready to land.Jul 5 2019, 14:20